@import url('https://fonts.googleapis.com/css?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css?family=Space+Mono&display=swap');
@import url('https://fonts.googleapis.com/css?family=Poppins:400,700,900&display=swap');


html, body {
    margin: 0;
    height: 100%;
}

a{
    text-decoration: none;
}

* {
    box-sizing: border-box;
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

.title{
    font-size: 30px;
    margin: 0px auto;
}

section {
    h1, h2, h3, h4, h5, h6 {
        margin-top: 1em;
        margin-bottom: 0.5em;
        font-weight: 700;
    }
    p {
        margin-bottom: 1em;
    }
}
section.centered-content {
    position: relative;
    padding: 20px;
    overflow: auto;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

section.epic-bg {
    height: 100%;
    width: 100%;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.671), rgba(0, 0, 0, 0.774)), url('../res/menu-bg.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    color: white;
}

section.menu {
    h1, h2 {
        text-align: center;
    }
    ul {
        padding: 0;
        list-style-type: none;
        a {
            &:hover {
                color: orange;
            }
            transition: color 180ms ease-in-out;
            text-transform: uppercase;
            display: block;
            text-align: center;
            margin: 1.5em 0;
            text-decoration: none;
            color: white;
        }
    }
}

.child-wrapper{
    display: table-cell;
    vertical-align: middle;
    width: 300px !important;
}

ul.themed {
    list-style-type: none;
    padding: 0;
}

form.themed {
    h2 {
        text-align: center;
    }
    display: flex;
    flex-direction: column;
    .form-group {
        label {
            text-transform: uppercase;
            font-size: 14px;
            margin-bottom: 0.2em;
        }
        input, select {
            font-size: 18px;
            border-radius: 4px;
            padding: 0.4em 0.8em;
            &.submit {
                cursor: pointer;
                background-color: orangered;
                color: white;
                border: none;
                box-shadow: 0 1px 2px 0 black;
                padding: 0.5em 1em;
                width: auto;
                display: block;
                margin: auto;
            }
        }
        display: flex;
        flex-direction: column;
        padding: 10px;
    }
}

section.register-mess {
    form {
        h2 {
            text-align: center;
        }
        display: flex;
        flex-direction: column;
        .form-group {
            label {
                text-transform: uppercase;
                font-size: 14px;
                margin-bottom: 0.2em;
            }
            input {
                font-size: 18px;
                border-radius: 4px;
                padding: 0.4em 0.8em;
                &.submit {
                    cursor: pointer;
                    background-color: orangered;
                    color: white;
                    border: none;
                    box-shadow: 0 1px 2px 0 black;
                    padding: 0.5em 1em;
                    width: auto;
                    display: block;
                    margin: auto;
                }
            }
            display: flex;
            flex-direction: column;
            padding: 10px;
        }
    }
}

a.navigation {
    border: 1px solid white;
    padding: 0.5em 1em;
    &:hover {
        border-color: orange;
        color: orange;
    }
    text-transform: uppercase;
    display: block;
    text-align: center;
    margin: 1.5em 0;
    text-decoration: none;
    color: white;
    moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;

}

/* Buttons */

.btn-hover {
    width: 250px;
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    cursor: pointer;

    text-align:center;
    border: none;
    background-size: 300% 100%;
    padding: 20px;
    border-radius: 50px;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.btn-hover2 {
    width: 250px;
    // font-size: 16px;
    font-weight: 600;
    color: #fff;
    cursor: pointer;

    text-align:center;
    border: none;
    background-size: 300% 100%;
    padding: 20px;
    border-radius: 50px;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.sign-in{
    width: 300px;
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    cursor: pointer;
    text-align:center;
    border: none;
    background-size: 300% 100%;
    padding: 20px;
    border-radius: 50px;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.btn-hover:hover, .sign-in:hover {
    background-position: 100% 0;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.btn-hover:focus, .sign-in:focus {
    outline: none;
}

.btn-hover.color-1 {
    background-image: linear-gradient(to right, #25aae1, #40e495, #30dd8a, #2bb673);
    box-shadow: 0 4px 15px 0 rgba(49, 196, 190, 0.75);
}
.btn-hover.color-2, .sign-in.color-2 {
    background-image: linear-gradient(to right, #f5ce62, #e43603, #fa7199, #e85a19);
    box-shadow: 0 4px 15px 0 rgba(229, 66, 10, 0.75);
}
.btn-hover.color-3 {
    background-image: linear-gradient(to right, #667eea, #764ba2, #6B8DD6, #8E37D7);
    box-shadow: 0 4px 15px 0 rgba(116, 79, 168, 0.75);
}
.btn-hover.color-4 {
    background-image: linear-gradient(to right, #fc6076, #ff9a44, #ef9d43, #e75516);
    box-shadow: 0 4px 15px 0 rgba(252, 104, 110, 0.75);
}
.btn-hover.color-5 {
    background-image: linear-gradient(to right, #0ba360, #3cba92, #30dd8a, #2bb673);
    box-shadow: 0 4px 15px 0 rgba(23, 168, 108, 0.75);
}
.btn-hover.color-6 {
    background-image: linear-gradient(to right, #009245, #FCEE21, #00A8C5, #D9E021);
    box-shadow: 0 4px 15px 0 rgba(83, 176, 57, 0.75);
}
.btn-hover.color-7 {
    background-image: linear-gradient(to right, #6253e1, #852D91, #A3A1FF, #F24645);
    box-shadow: 0 4px 15px 0 rgba(126, 52, 161, 0.75);
}
.btn-hover.color-8 {
    background-image: linear-gradient(to right, #29323c, #485563, #2b5876, #4e4376);
    box-shadow: 0 4px 15px 0 rgba(45, 54, 65, 0.75);
}
.btn-hover.color-9 {
    background-image: linear-gradient(to right, #25aae1, #4481eb, #04befe, #3f86ed);
    box-shadow: 0 4px 15px 0 rgba(65, 132, 234, 0.75);
}
.btn-hover.color-10 {
        background-image: linear-gradient(to right, #ed6ea0, #ec8c69, #f7186a , #FBB03B);
    box-shadow: 0 4px 15px 0 rgba(236, 116, 149, 0.75);
}
.btn-hover.color-11 {
       background-image: linear-gradient(to right, #eb3941, #f15e64, #e14e53, #e2373f);  box-shadow: 0 5px 15px rgba(242, 97, 103, .4);
}

.wid{
    width: 300px !important;
    margin: 0px auto;
}

table.themed {
    border-collapse: collapse;
    border: 1px solid white;
    th, td {
        padding: 0.5em;
        border: 1px solid white;
    }
    th {
        font-size: 16px;
    }
    padding: 0;
    td {
        font-size: 14px;
        padding: 0.5em;
    }
}

.vertical-center{
    display: table !important;
}

.container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.text-center{
    text-align: center;
}


.link-hover{
    // width: 250px;
    color: black;
    background-color: orange;
    padding: 3.5px;
    border-radius: 7px;
    margin-left: 6px;
}

// .link-hover:hover{
//     background-color: black;
//     color: orange;
//     moz-transition: all .4s ease-in-out;
//     -o-transition: all .4s ease-in-out;
//     -webkit-transition: all .4s ease-in-out;
//     transition: all .4s ease-in-out;
// }   
.bg-orange{
    color: black;
    background-color: orange;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-left: 6px;
    text-align: center;
    width: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
}